:root {
  --dark-gray:#777676;
}
* {
  -webkit-tap-highlight-color: transparent; /* wyłącza niebieskie podświetlenie na iOS/Android */
  -webkit-touch-callout: none;              /* wyłącza menu po długim przytrzymaniu (np. "Kopiuj link") */
}

.header {
  display: flex;
  position: relative;
  justify-content: center;
  align-items:end;
  width: 100%;
  /* max-width:600px; */
  height: 0;
  padding-bottom:77.7%;
  background-position-x: center;
  background-size: contain;
  background-repeat: no-repeat;
  background-position-y: top;
  background-image: url(/assets/main_cover_smaller.webp);
}

.logo {
    /* margin-top:50vw; */
    position:absolute;
    top:calc( 24vh - 10vw );
    display: flex;
}

.logo a {
    display: flex;
    flex-grow: 1;
    position:relative;
    text-decoration: none;
    cursor:pointer;
}

.subtitle h1 {
  position:absolute;
  bottom:clamp(1rem, 4vw, 4rem);
  left:0;
  color: #777676;
  font-family: bukReg;
  font-weight: normal;
  width:100%;
  text-align: center;
  font-size:clamp(.8rem, 0.7rem + .8vw, 2rem);

}
.main_screen {
  display:flex;
  flex-direction: column;
  position: relative;
  top: 0px;
  right: 0px;
  width:100%;
  height:100dvh;
  overflow: hidden;
}
.hamburger {
  position: absolute;
  display: block;
  width: 44px;
  height: 44px;

  top: 5px;
  right: 15px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  border: none;
  outline: none;
  z-index: 1;
}
.hamburger .bar {
  display: block;
  height: 1px;
  /* margin-left: auto; */
  margin-top: 12px;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  background-color: var(--dark-gray);
}
.hamburger .second {
  background-color: var(--dark-gray);
  width: 44px;
  height: 1px;
  margin-left: 0px;
}
.hamburger .third {
  background-color: var(--dark-gray);
  height: 1px;
  position: relative;
}
.left_hantle {
  display: block;
  height: 6px;
  width: 3px;
  background-color: var(--dark-gray);
  position: absolute;
  left: 3px;
  top: -2px;
}
.right_hantle {
  display: block;
  height: 6px;
  width: 3px;
  background-color: var(--dark-gray);
  position: absolute;
  right: 3px;
  top: -2px;
}
.droped {
  margin-top: 0px;
  position: fixed;
}
.rotBottom {
  transform: translateY(14px) rotate(45deg);
}
.rotTop {
  transform: translateY(-14px) rotate(-45deg);
}
.disapear {
    width:1px!important;
    margin-left:43px!important;
}
.content {
  display: flex;
  width: 100%;
  height: 52dvh;
  max-height:400px;
  position:absolute;
  bottom:0;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding-bottom: 3rem;
}
.content a {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60vw;
  max-width:400px;
  height: 50px;
  font-size: 1.4rem;
  border: 1px solid var(--dark-gray);
  border-radius: 5px;
  text-decoration: none;
  color: var(--dark-gray);
  margin-bottom: .5rem;
  font-family: bukReg;
  font-weight: normal;
  padding-top:3px;
  cursor:pointer;
}
.sm-icons {
  position: absolute;
  bottom: 0rem;
  display: flex;
}
.sm-icons a {
    display:flex;
    text-decoration: none;
    border:none;
    width:35px;
    height:35px;
    cursor:pointer;
    margin-bottom:.5rem;
}
.top-nav {
  display: flex;
  min-width: 255px;
  width: calc(100vw - 75px);
  max-width: 360px;
  background-color: rgba(50, 50, 50, 0.9);
  min-height: 100dvh;
  height: auto;
  position: absolute;
  top: 0px;
  left: 0px;
  margin-left: -100%;
  opacity: 0;
  transition: all 0.3s ease-in-out;
  color: var(--base);
  text-align: right;
  font-size: 1.2rem;
  padding-left: 10px;
  justify-content: end;
  border-bottom: 2px solid var(--dark-back);
  border-right: 1px solid var(--dark-back);
  z-index: 2;
}
.nav-inside {
  display: flex;
  padding-right: 20px;
  padding-bottom: 20px;
  align-items: center;
}
.top-nav a {
  color: var(--dark-gray);
  font-family: bukReg;
  font-weight: normal;
  
  text-decoration: none;
  /* font-size: 32px;  */
  cursor:pointer;
}
.top-nav a.active {
  text-decoration: underline;
  text-underline-offset: 10px;
  text-decoration-color: var(--base);
}
.top-nav li {
  margin: 1rem 0 1rem auto;
  width: fit-content;
  text-align: right;
  transition: all 0.3s ease-in-out;
  padding-bottom: 3px;
}
.slide {
  margin-left: 0;
  opacity: 1;
  position: fixed;
}

.loader {
    display: flex;
    justify-content: space-between;
    width: 150px;
    margin:0 auto;
}

.dot {
    width: 22px;
    height: 22px;
    background-color:#777676;
    border-radius: 50%;
    animation: growShrink .8s infinite ease-in-out;
}

.dot:nth-child(1) {
    animation-delay: 0s;
}

.dot:nth-child(2) {
    animation-delay: 0.1s;
}

.dot:nth-child(3) {
    animation-delay: 0.2s;
}

@keyframes growShrink {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.2);
    }
}

.error-message {
    color:var(--dark-gray);
    text-align: center;
    font-size:.9rem;
    font-family: bukReg;
    max-width:250px;
}

footer .linki {
    display:flex;
    justify-content: center;
    align-items: center;
    width:100%;
    padding:1rem 0 .5rem 0;
    gap:.5rem;
    font-family:bukReg;
    font-size:.9rem;
}

.linki a, .creator a {
    text-decoration: none;
    color: #777676;
    cursor:pointer;
}
.creator {
    display:flex;
    justify-content: center;
    align-items: center;
    width:100%;
    padding-bottom:.5rem;
    gap:.5rem;
    font-family:bukReg;
    font-size:.9rem;
    color: #777676;
}

.imoje {
    display:flex;
    justify-content: center;
    align-items: center;
    width:100%;
    padding-bottom:.5rem;
}

.hidden {
    display:none!important;
}


